Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.exceptions
Class SystemException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--com.bea.p13n.exceptions.SystemException

Direct Known Subclasses:
  AdminResourceSystemException, ConfigurableEntitySystemException, DelegatedAdminSecurityException, DelegatedAdminSystemException, IllegalArgumentException, InvalidArgumentException, InvalidValidatorException, MailSystemException, PipelineSystemException, PortalRealmException, ProfileSystemException, PropertySetRepositoryException, PropertySetXMLException, PropertySystemException, RDBMSException, UserManagementException, VisitorUserSystemException, WebflowSecurityException

public abstract class SystemException
extends java.lang.RuntimeException

An abstract base class designed to be extended by a given subsystem or service. It provides exception-chaining functionality that allows for printing a chained stack trace. The SystemException is the superclass of exceptions that can be thrown by the Java Virtal Machine during normal operation. This type of exception typically is not the result of a business logic failure. It is HIGHLY RECOMMENDED that subclasses provide the same constructors that are present in this class in order to maintain the highest degree of compatibility with this API, as well as the version of Throwable forthcoming in JDK 1.4. Although not enforced by this class, it is STRONGLY RECOMMENDED that the message argument set in the constructor originate from the WLS message catalog and not be hard-coded. For example:

public static final MySubsystemExceptionTextFormatter myFormatter = new MySubsystemExceptionTextFormatter(); . . throw new MySubsystemException ( myFormatter.MyExceptionMessage( arg0, arg1) ); Subclasses should contain data attributes pertaining to the failed condition such that a precise, meaningful message can be conveyed to the caller. A good check is to examine the exception message. If the message has placeholders representing application objects, those application objects should probably exist as attributes in the given exception class.

See Also:
  Serialized Form

Constructor Summary
`SystemException()`
`SystemException(java.lang.String message)` Constructor
`SystemException(java.lang.String message, java.lang.Throwable t)` Constructor
`SystemException(java.lang.Throwable t)` Constructor

Method Summary
`java.lang.Throwable` | `getCause()` Returns the embedded, or chained, exception
`void` | `printStackTrace()` Designed to print the stack trace of this exception, as well as the exception it is chained to, if applicable.
`void` | `printStackTrace(java.io.PrintStream out)` Designed to print the stack trace of this exception, as well as the exception it is chained to, if applicable.
`void` | `printStackTrace(java.io.PrintWriter out)` Designed to print the stack trace of this exception, as well as the exception it is chained to, if applicable.
`java.lang.String` | `toString()` Print a string representation of this exception and its embedded exceptions.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SystemException

    public SystemException()

### SystemException

    public SystemException(java.lang.String message)

  Constructor

  Parameters:
    `message` - String representing the Exception message

### SystemException

    public SystemException(java.lang.String message,
                           java.lang.Throwable t)

  Constructor

  Parameters:
    `message` - String representing the Exception message
    `t` - Throwable object representing the wrapped or chained exception

### SystemException

    public SystemException(java.lang.Throwable t)

  Constructor

  Parameters:
    `t` - Throwable object representing the wrapped or chained exception

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Returns the embedded, or chained, exception

  Returns:
    The Exception object chained to this Exception, or null if one does not exist.

### printStackTrace

    public void printStackTrace(java.io.PrintStream out)

  Designed to print the stack trace of this exception, as well as the exception it is chained to, if applicable.

  Parameters:
    `out` - PrintStream used to output the stack trace
  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintWriter out)

  Designed to print the stack trace of this exception, as well as the exception it is chained to, if applicable.

  Parameters:
    `out` - PrintWriter used to output the stack trace
  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace()

  Designed to print the stack trace of this exception, as well as the exception it is chained to, if applicable.

  Overrides:
    printStackTrace in class java.lang.Throwable

### toString

    public java.lang.String toString()

  Print a string representation of this exception and its embedded exceptions. Because of a WLS problem with logging exceptions in a cluster environment, this toString() must be implemented here in order to print stack traces with every exception.

  Overrides:
    toString in class java.lang.Throwable

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved